FUNCTION TEMPL(3)

NAME
boost::property_tree::info_parser::write_info

SYNOPSIS

// In header: <boost/property_tree/info_parser.hpp>
template<typename Ptree>
  void write_info(const std::string & filename, const Ptree & pt,
                  const std::locale & loc = std::locale(),
                  const info_writer_settings< typename Ptree::key_type::value_type > & settings = info_writer_make_settings< typename Ptree::key_type::value_type >());

DESCRIPTION

Writes a tree to the file in INFO format. The tree's key type must be a string type, i.e. it must have a nested value_type typedef that is a valid parameter for basic_ofstream.

Parameters:

    settings
        The settings to use when writing the INFO data.

Throws:
    info_parser_error